Package org.jmock.util

# Class PropertyUtil

java.lang.Object
org.jmock.util.PropertyUtil

public class PropertyUtil extends Object
Utility class for accessing properties on JavaBean objects. See http://java.sun.com/products/javabeans/docs/index.html for more information on JavaBeans.

Since:
  1.1.0

## Constructor Summary

Constructors
Constructor
Description
`PropertyUtil()`

## Method Summary

Modifier and Type
Method
Description
`static PropertyDescriptor`
`getPropertyDescriptor(String propertyName, Object fromObj)`
Returns the description of the property with the provided name on the provided object's interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyUtil

public PropertyUtil()

## Method Details

### getPropertyDescriptor

public static PropertyDescriptor getPropertyDescriptor(String propertyName, Object fromObj) throws IntrospectionException
Returns the description of the property with the provided name on the provided object's interface.

Returns:
  the description of the property, or null if the property does not exist.
Throws:
  `IntrospectionException` - if an error occured using the JavaBean Introspector class to query the properties of the provided class.